Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.registration
Interface ConsumerGroup

All Known Implementing Classes:
  ConsumerGroupImpl, PersistentConsumerGroup

    public interface ConsumerGroup

A business entity that is related to several consumers.

Since:
  2.6
Version:
  $Revision: 8784 $
Author:
  Chris Laprun

Method Summary
`void` | `addConsumer(Consumer consumer)`
`boolean` | `contains(Consumer consumer)`
`Consumer` | `getConsumer(java.lang.String consumerId)` Return the member Consumer associated with the given identifier
`java.util.Collection` | `getConsumers()` Return a collection of associated consumers.
`java.lang.String` | `getName()` Return this ConsumerGroup's name (i.e.
`RegistrationStatus` | `getStatus()`
`boolean` | `isEmpty()`
`void` | `removeConsumer(Consumer consumer)`
`void` | `setStatus(RegistrationStatus status)`

Method Detail

### getName

    java.lang.String getName()

  Return this ConsumerGroup's name (i.e. the name of the the business entity aggregating the associated consumers)

  Returns:
    the ConsumerGroup's name

### getConsumers

    java.util.Collection getConsumers()
                                      throws RegistrationException

  Return a collection of associated consumers.

  Returns:
    the consumer collection
  Throws:
    `RegistrationException`

### getConsumer

    Consumer getConsumer(java.lang.String consumerId)
                         throws java.lang.IllegalArgumentException,
                                RegistrationException

  Return the member Consumer associated with the given identifier

  Parameters:
    `consumerId` -
  Returns:
    the Consumer associated with the identity or `null` if no such Consumer is part of this ConsumerGroup
  Throws:
    `java.lang.IllegalArgumentException` - if the consumer identity is null
    `RegistrationException`

### addConsumer

    void addConsumer(Consumer consumer)
                     throws RegistrationException

  Throws:
    `RegistrationException`

### removeConsumer

    void removeConsumer(Consumer consumer)
                        throws RegistrationException

  Throws:
    `RegistrationException`

### contains

    boolean contains(Consumer consumer)

### isEmpty

    boolean isEmpty()

### getStatus

    RegistrationStatus getStatus()

### setStatus

    void setStatus(RegistrationStatus status)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD